/*
 * Created on Oct 28, 2008
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 *
 * Copyright @2008-2010 the original author or authors.
 */
package org.fest.swing.annotation;

import static java.lang.annotation.ElementType.CONSTRUCTOR;
import static java.lang.annotation.ElementType.METHOD;

import java.lang.annotation.Documented;
import java.lang.annotation.Target;

import net.jcip.annotations.ThreadSafe;

/**
 * Understands an annotation that documents that a method is thread-safe. To document that a class is thread-safe,
 * use <code>{@link ThreadSafe}</code>
 *
 * @author Alex Ruiz
 */
@Target({ METHOD, CONSTRUCTOR })
@Documented
public @interface ThreadSafeAction {}
